import { HttpClient } from '@angular/common/http';
import { TranslateService } from '@ngx-translate/core';
import { MessageService } from 'primeng/api';
import { WorkshiftChangeDto } from '../workshift-change/workshift-change-dto';
export declare class WorkshiftChangeAdjustmentService {
    private readonly http;
    private readonly messageService;
    private readonly translate;
    private readonly bffFacadeUrl;
    constructor(http: HttpClient, messageService: MessageService, translate: TranslateService);
    insert(workshiftChange: WorkshiftChangeDto): import("rxjs").Observable<unknown>;
    update(id: any, workshiftChange: WorkshiftChangeDto): import("rxjs").Observable<unknown>;
    delete(id: string): import("rxjs").Observable<unknown>;
}
